aboutsummaryrefslogtreecommitdiffstats
path: root/sysutils/usermin/files
diff options
context:
space:
mode:
authorolgeni <olgeni@FreeBSD.org>2002-11-11 04:11:29 +0800
committerolgeni <olgeni@FreeBSD.org>2002-11-11 04:11:29 +0800
commit353883ecdd1b362feb5066a363fef4eac86dd328 (patch)
treec1d6322b0052b05c088e36afffa0cfa83f8fd3c6 /sysutils/usermin/files
parent44170e0448459458c86203d1086000f635d211c5 (diff)
downloadfreebsd-ports-gnome-353883ecdd1b362feb5066a363fef4eac86dd328.tar.gz
freebsd-ports-gnome-353883ecdd1b362feb5066a363fef4eac86dd328.tar.zst
freebsd-ports-gnome-353883ecdd1b362feb5066a363fef4eac86dd328.zip
Add usermin, a subset of webmin for non-administrative tasks.
Diffstat (limited to 'sysutils/usermin/files')
-rw-r--r--sysutils/usermin/files/patch-commands_config8
-rw-r--r--sysutils/usermin/files/patch-htaccess_config9
-rw-r--r--sysutils/usermin/files/patch-setup.sh54
-rw-r--r--sysutils/usermin/files/usermin.sh.in29
-rw-r--r--sysutils/usermin/files/usermin.sh.sample29
5 files changed, 129 insertions, 0 deletions
diff --git a/sysutils/usermin/files/patch-commands_config b/sysutils/usermin/files/patch-commands_config
new file mode 100644
index 000000000000..606f7a35eb85
--- /dev/null
+++ b/sysutils/usermin/files/patch-commands_config
@@ -0,0 +1,8 @@
+
+$FreeBSD$
+
+--- commands/config.orig Mon Nov 4 00:55:32 2002
++++ commands/config Sun Nov 10 15:41:55 2002
+@@ -1 +1 @@
+-webmin_config=/etc/webmin/custom
++webmin_config=/usr/local/etc/webmin/custom
diff --git a/sysutils/usermin/files/patch-htaccess_config b/sysutils/usermin/files/patch-htaccess_config
new file mode 100644
index 000000000000..3943aec56076
--- /dev/null
+++ b/sysutils/usermin/files/patch-htaccess_config
@@ -0,0 +1,9 @@
+
+$FreeBSD$
+
+--- htaccess/config.orig Sun Nov 10 15:20:17 2002
++++ htaccess/config Sun Nov 10 15:20:29 2002
+@@ -1,2 +1,2 @@
+ htaccess=.htaccess
+-webmin_apache=/etc/webmin/apache
++webmin_apache=/usr/local/etc/webmin/apache
diff --git a/sysutils/usermin/files/patch-setup.sh b/sysutils/usermin/files/patch-setup.sh
new file mode 100644
index 000000000000..253a3f2b2ebc
--- /dev/null
+++ b/sysutils/usermin/files/patch-setup.sh
@@ -0,0 +1,54 @@
+
+$FreeBSD$
+
+--- setup.sh.orig Sun Nov 10 15:32:27 2002
++++ setup.sh Sun Nov 10 15:32:34 2002
+@@ -48,12 +48,12 @@
+ echo "Unless you want to run multiple versions of Usermin at the same time"
+ echo "you can just accept the defaults."
+ echo ""
+-printf "Config file directory [/etc/usermin]: "
++printf "Config file directory [!!PREFIX!!/etc/usermin]: "
+ if [ "$config_dir" = "" ]; then
+ read config_dir
+ fi
+ if [ "$config_dir" = "" ]; then
+- config_dir=/etc/usermin
++ config_dir=!!PREFIX!!/etc/usermin
+ fi
+ abspath=`echo $config_dir | grep "^/"`
+ if [ "$abspath" = "" ]; then
+@@ -138,19 +138,19 @@
+ else
+ # Config directory exists .. make sure it is not in use
+ ls $config_dir | grep -v rpmsave >/dev/null 2>&1
+- if [ "$?" = "0" -a "$config_dir" != "/etc/usermin" ]; then
++ if [ "$?" = "0" -a "$config_dir" != "!!PREFIX!!/etc/usermin" ]; then
+ echo "ERROR: Config directory $config_dir is not empty"
+ echo ""
+ exit 2
+ fi
+
+ # Ask for log directory
+- printf "Log file directory [/var/usermin]: "
++ printf "Log file directory [/var/log/usermin]: "
+ if [ "$var_dir" = "" ]; then
+ read var_dir
+ fi
+ if [ "$var_dir" = "" ]; then
+- var_dir=/var/usermin
++ var_dir=/var/log/usermin
+ fi
+ abspath=`echo $var_dir | grep "^/"`
+ if [ "$abspath" = "" ]; then
+@@ -178,8 +178,8 @@
+ echo "Usermin is written entirely in Perl. Please enter the full path to the"
+ echo "Perl 5 interpreter on your system."
+ echo ""
+- if [ -x /usr/bin/perl ]; then
+- perldef=/usr/bin/perl
++ if [ -x !!PERL5!! ]; then
++ perldef=!!PERL5!!
+ elif [ -x /usr/local/bin/perl ]; then
+ perldef=/usr/local/bin/perl
+ else
diff --git a/sysutils/usermin/files/usermin.sh.in b/sysutils/usermin/files/usermin.sh.in
new file mode 100644
index 000000000000..e5f25fa71f2f
--- /dev/null
+++ b/sysutils/usermin/files/usermin.sh.in
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# $FreeBSD$
+
+case $1 in
+
+ start)
+ LD_PRELOAD=/usr/lib/libpam.so.1
+ export LD_PRELOAD
+ if [ -x !!PREFIX!!/etc/usermin/start ]; then
+ !!PREFIX!!/etc/usermin/start >/dev/null
+ echo -n ' usermin'
+ fi
+ exit 0
+ ;;
+
+ stop)
+ if [ -x !!PREFIX!!/etc/usermin/stop ]; then
+ !!PREFIX!!/etc/usermin/stop >/dev/null
+ echo -n ' usermin'
+ fi
+ exit 0
+ ;;
+
+ *)
+ echo "usage: `basename $0` {start|stop}" >&2
+ exit 64
+ ;;
+esac
diff --git a/sysutils/usermin/files/usermin.sh.sample b/sysutils/usermin/files/usermin.sh.sample
new file mode 100644
index 000000000000..e5f25fa71f2f
--- /dev/null
+++ b/sysutils/usermin/files/usermin.sh.sample
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# $FreeBSD$
+
+case $1 in
+
+ start)
+ LD_PRELOAD=/usr/lib/libpam.so.1
+ export LD_PRELOAD
+ if [ -x !!PREFIX!!/etc/usermin/start ]; then
+ !!PREFIX!!/etc/usermin/start >/dev/null
+ echo -n ' usermin'
+ fi
+ exit 0
+ ;;
+
+ stop)
+ if [ -x !!PREFIX!!/etc/usermin/stop ]; then
+ !!PREFIX!!/etc/usermin/stop >/dev/null
+ echo -n ' usermin'
+ fi
+ exit 0
+ ;;
+
+ *)
+ echo "usage: `basename $0` {start|stop}" >&2
+ exit 64
+ ;;
+esac